## GladeWidgetActionDef GladeWidgetActionDef |

## Functions

GladeWidgetActionDef * | glade_widget_action_def_new ()
void | glade_widget_action_def_free ()
GladeWidgetActionDef * | glade_widget_action_def_clone ()
void | glade_widget_action_def_set_important ()
void | glade_widget_action_def_set_label ()
void | glade_widget_action_def_set_stock ()

## Types and Values

struct | GladeWidgetActionDef

## Description

## Functions

### glade_widget_action_def_new ()

    GladeWidgetActionDef *
    glade_widget_action_def_new (const gchar *path);

#### Parameters

path | the action path |

#### Returns

a newly created GladeWidgetActionDef for `path` .

### glade_widget_action_def_free ()

    void
    glade_widget_action_def_free (GladeWidgetActionDef *action);

Frees a GladeWidgetActionDef.

#### Parameters

action | a GladeWidgetActionDef |

### glade_widget_action_def_clone ()

    GladeWidgetActionDef *
    glade_widget_action_def_clone (GladeWidgetActionDef *action);

#### Parameters

action | a GladeWidgetActionDef |

#### Returns

a newly allocated copy of `action` .

### glade_widget_action_def_set_important ()

    void
    glade_widget_action_def_set_important (GladeWidgetActionDef *action,
                                           gboolean important);

### glade_widget_action_def_set_label ()

    void
    glade_widget_action_def_set_label (GladeWidgetActionDef *action,
                                       const gchar *label);

### glade_widget_action_def_set_stock ()

    void
    glade_widget_action_def_set_stock (GladeWidgetActionDef *action,
                                       const gchar *stock);

## Types and Values

### struct GladeWidgetActionDef

    struct GladeWidgetActionDef {
      const gchar    *id;     /* The identifier of this action in the action tree */
      gchar          *path;   /* Full action path  */
      gchar          *label;  /* A translated label to show in the UI for this action */
      gchar          *stock;  /* If set, this stock item will be shown in the UI along side
                               * the label */
      gboolean        important;  /* If this action is important */

      GList          *actions;/* Recursive list of child actions */
    };